Package org.drinkless.tdlib

# Class TdApi.InputMessageInvoice

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageInvoice

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageInvoice extends TdApi.InputMessageContent
A message with an invoice; can be used only by bots.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `description`
  Product description; 0-255 characters.
  `TdApi.Invoice`
  `invoice`
  Invoice.
  `TdApi.InputPaidMedia`
  `paidMedia`
  The content of paid media attached to the invoice; pass null if none.
  `TdApi.FormattedText`
  `paidMediaCaption`
  Paid media caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `byte[]`
  `payload`
  The invoice payload.
  `int`
  `photoHeight`
  Product photo height.
  `int`
  `photoSize`
  Product photo size.
  `String`
  `photoUrl`
  Product photo URL; optional.
  `int`
  `photoWidth`
  Product photo width.
  `String`
  `providerData`
  JSON-encoded data about the invoice, which will be shared with the payment provider.
  `String`
  `providerToken`
  Payment provider token; may be empty for payments in Telegram Stars.
  `String`
  `startParameter`
  Unique invoice bot deep link parameter for the generation of this invoice.
  `String`
  `title`
  Product title; 1-32 characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageInvoice()`
  A message with an invoice; can be used only by bots.
  `InputMessageInvoice(TdApi.Invoice invoice, String title, String description, String photoUrl, int photoSize, int photoWidth, int photoHeight, byte[] payload, String providerToken, String providerData, String startParameter, TdApi.InputPaidMedia paidMedia, TdApi.FormattedText paidMediaCaption)`
  A message with an invoice; can be used only by bots.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### invoice

    public TdApi.Invoice invoice
    Invoice.

  - ### title

    public String title
    Product title; 1-32 characters.

  - ### description

    public String description
    Product description; 0-255 characters.

  - ### photoUrl

    public String photoUrl
    Product photo URL; optional.

  - ### photoSize

    public int photoSize
    Product photo size.

  - ### photoWidth

    public int photoWidth
    Product photo width.

  - ### photoHeight

    public int photoHeight
    Product photo height.

  - ### payload

    public byte[] payload
    The invoice payload.

  - ### providerToken

    public String providerToken
    Payment provider token; may be empty for payments in Telegram Stars.

  - ### providerData

    public String providerData
    JSON-encoded data about the invoice, which will be shared with the payment provider.

  - ### startParameter

    public String startParameter
    Unique invoice bot deep link parameter for the generation of this invoice. If empty, it would be possible to pay directly from forwards of the invoice message.

  - ### paidMedia

    public TdApi.InputPaidMedia paidMedia
    The content of paid media attached to the invoice; pass null if none.

  - ### paidMediaCaption

    public TdApi.FormattedText paidMediaCaption
    Paid media caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageInvoice

    public InputMessageInvoice()
    A message with an invoice; can be used only by bots.

  - ### InputMessageInvoice

    public InputMessageInvoice(TdApi.Invoice invoice, String title, String description, String photoUrl, int photoSize, int photoWidth, int photoHeight, byte[] payload, String providerToken, String providerData, String startParameter, TdApi.InputPaidMedia paidMedia, TdApi.FormattedText paidMediaCaption)
    A message with an invoice; can be used only by bots.
    Parameters:
      `invoice` - Invoice.
      `title` - Product title; 1-32 characters.
      `description` - Product description; 0-255 characters.
      `photoUrl` - Product photo URL; optional.
      `photoSize` - Product photo size.
      `photoWidth` - Product photo width.
      `photoHeight` - Product photo height.
      `payload` - The invoice payload.
      `providerToken` - Payment provider token; may be empty for payments in Telegram Stars.
      `providerData` - JSON-encoded data about the invoice, which will be shared with the payment provider.
      `startParameter` - Unique invoice bot deep link parameter for the generation of this invoice. If empty, it would be possible to pay directly from forwards of the invoice message.
      `paidMedia` - The content of paid media attached to the invoice; pass null if none.
      `paidMediaCaption` - Paid media caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR